Email a payment receipt
POST
apiKeyheader
Api-Key<token>Partner API key.
paymentId*stringPayment ID to send the receipt for
Match
^pay_[A-Za-z0-9]+$Length
1 <= length <= 64Merchant-Id*stringMerchant identifier.
WCP-Version?stringOptional WalletConnect Pay API version override. If omitted, the partner's pinned version is used.
application/json- body
email*stringCustomer email address to send the receipt to
Match
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailLength
length <= 320Receipt sent, or already sent before
application/json- response
paymentId*stringPayment ID the receipt is for
status*stringsent: the receipt is on its way. already_sent: a receipt for this payment was already sent, so no new email was sent.
Value in
"sent""already_sent"curl -X POST 'https://api.merchant.pay.walletconnect.com/v1/merchants/payments/pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ/receipt' \ -H 'Merchant-Id: acme-store-1' \ -H 'Content-Type: application/json' \ -d '{ "email": "customer@example.com"}'{ "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ", "status": "sent"}